<?php

namespace app\api\business;

use app\api\model\Ccjc;
use app\api\model\Cyd;
use app\api\model\TestPesticides;

class JcdBus
{

    public function getJcdList($data)
    {
        $jcd_info = (new Cyd())->getCydListByUndertakeId($data['undertake_id'], $data['pageNum'], $data['pageSize']);
        $jcd_info_count = (new Cyd())->countCydListByUndertakeId($data['undertake_id']);

        return ['rows'=>$jcd_info,'total'=>$jcd_info_count];
    }

    public function getModelItemBySampleID($sampel_id)
    {
        //根据模型，需要先获取到task_id才能获取到model_id，最后获取检测项
        $task_id = (new Cyd())->getCydInfoBySampleId($sampel_id)['task_id'];
        $test_model_id = (new Ccjc())->getTaskInfoByTaskID($task_id)['test_model_id'];
        $model_item = (new TestPesticides())->getInfoByTestModelId($test_model_id);
        return $model_item;
    }

    //修改检测单状态，就是修改cyd表中的，test_status
    public function upJcdItem($sample_id)
    {
        $jcd_status = ['test_status' => '1'];
        $result = (new Cyd())->updateCydDataBySampleID($sample_id, $jcd_status);
        return $result;
    }

    //保存检测单
    public function saveJcdItem($sample_id, $pesticides){
        //格式化数据
        $data = [];
        foreach ($pesticides as $k0 =>$v0) {
            $data [$k0]['test_name'] = $pesticides[$k0]['test_name'];
            $data [$k0]['test_id'] = $pesticides[$k0]['test_id'];
            $data [$k0]['test_value'] = $pesticides[$k0]['test_value'];
            $data [$k0]['state_value'] = $pesticides[$k0]['state_value'];
            $data [$k0]['unit'] = $pesticides[$k0]['unit'];
            $data [$k0]['creattime'] = $pesticides[$k0]['creattime'];
            $data [$k0]['sample_id'] = $sample_id;
            $data [$k0]['LOD'] = $pesticides[$k0]['LOD'];
            $data [$k0]['LOQ'] = $pesticides[$k0]['LOQ'];
            $data [$k0]['test_result'] = $pesticides[$k0]['test_result'];
        }

        return $data;
    }


}